Update protection resource
Updates a protection resource. You can change its label, metadata and other properties.
PUT/v1/protection-resources/{id}PUTUpdate protection resourcecurl -X PUT "https://api.darkradar.com/api/public/v1/protection-resources/507f1f77bcf86cd799439011" \
-H "x-api-key: $DARKRADAR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"description":"Kurumsal alan adı"}'Response
{
"success": true,
"message": "OK",
"data": {
"resource": {
"_id": "507f1f77bcf86cd799439011",
"firm": "507f1f77bcf86cd799439012",
"resourceType": "domain",
"targetValue": "example.com",
"label": "Updated Domain Label",
"isActive": true,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-16T14:20:00.000Z"
}
},
"meta": {
"timestamp": "2024-02-01T10:30:45.123Z",
"requestId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"responseTime": 63
}
}Path parameters
| Fields | Values |
|---|---|
id · string · required | Protection resource ID · Example: 507f1f77bcf86cd799439011 |
Request body
| Fields | Values |
|---|---|
groupId · string · optional | Move the resource to another group |
description · string · optional | Description |
isActive · boolean · optional | Whether monitoring is active |
thirdPartyInclude · boolean · optional | Include third-party leaks |
matchMode · string · optional | Match mode · Values: machine, credential |
metadata · object · optional | Free-form metadata |
Responses
200Protection resource updated successfully400Invalid request (malformed id, missing or invalid field)401Key missing, invalid, expired or revoked403Insufficient scope, no API access in plan, or product not enabled404Record not found or not owned by this key’s firm408The request exceeded its maximum response time429Rate limit exceeded; retry after a minuteResponse limits
Rate limit500 requests per 15 min · per IP